import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  data: z.union([JsonNullValueInputSchema, jsonSchema]).optional()
}).strict();
export const ProcedureTimeslotUpdateManyMutationInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotUpdateManyMutationInput> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotUpdateManyMutationInput>;
export const ProcedureTimeslotUpdateManyMutationInputObjectZodSchema = makeSchema();
